Subject: Re: [Roll] How is the Message Authentication Code field computed?

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 19 Aug 2010 15:26:21 +0200

Excuse me - was this issue solved?

What is the initialization value of the Checksum field when computing
the Message Authentication Code?

What is computed first: the MAC or the Checksum?

Alex

Le 25/07/2010 02:31, Alexandru Petrescu a écrit :
>> 9.6. Coverage of Integrity and Confidentiality
>>
>>
>> For a RPL ICMPv6 message, the entire packet is within the scope of
>> RPL security.
>
> Well yes and no, because draft says "The body of the RPL ICMPv6
> message MAY be encrypted, starting from the first byte after the
> security section" - that is not the entire packet.
>
>> The message authentication code is calculated over the entire IPv6
>> packet.
>
> I need to understand this in more detail, and I don't find in draft
> (or I don't understand):
>
> How is the MAC computed? Which fields are covered? Which are
> mutable? What's the initialization?
>
> How is the ICMP Checksum field covered by the MAC? First compute the
> Checksum or first the MAC?
>
> Please give an example.
>
> (I could give similar with AH HMAC-MD5 and SHA1) (I may not be aware
> of a ton of security RFCs and terminology - sorry Michael about
> HMAC-MD5 vs MD5).
>
> Alex _______________________________________________ Roll mailing
> list [email-masked] https://www.ietf.org/mailman/listinfo/roll
>
>